package com.steerinfo.dil.mapper;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.math.BigDecimal;
import java.util.Map;

/**
 * @ author    :TXF
 * @ time      :2021/10/26 14:27
 */

@Mapper
public interface UtilsMapper {

    //查询运输订单最大主键Id
    @Select("select seq_omstruck_order.nextval from dual")
    BigDecimal selectOrderMaxId();

    //查询运输订单子表主键ID
    @Select("select seq_omstruck_order_material.nextval from dual")
    BigDecimal selectOrderMaterialMaxId();

    //通过订单Id修改订单状态
    int updateOrderStatusByOrderIdOrNum(Map<String, Object> map);

    //通过运输Id 或者运输订单号修改 路段顺序号
    int updateLineSeqByOrderIdOrNum(Map<String, Object> map);

    //通过运力ID 或车牌号 修改运力状态
    int updateCapacityByCarIdOrNum(Map<String, Object> map);

}
