package com.steerinfo.dil.controller;

import com.steerinfo.dil.service.ITmstruckReturnResultService;
import com.steerinfo.framework.controller.BaseRESTfulController;
import com.steerinfo.framework.controller.RESTfulResult;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import java.util.Map;

/**
 * TmstruckReturnResult RESTful接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-10-18 09:17
 * 类描述
 * 修订历史：
 * 日期：2021-10-18
 * 作者：generator
 * 参考：
 * 描述：TmstruckReturnResult RESTful接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@RestController
@RequestMapping("/${api.version}/tmstruckreturnresults")
public class TmstruckReturnResultController extends BaseRESTfulController {

    @Autowired
    ITmstruckReturnResultService tmstruckReturnResultService;

    @ApiOperation(value = "新增退货实绩", notes = "需要运输订单号")
    @PostMapping(value = "/addReturnGoodsResult")
    public RESTfulResult addReturnGoodsResult(@RequestBody(required = false) Map<String, Object> map) {
        int i = tmstruckReturnResultService.addReturnGoodsResult(map);
        return success(i);
    }
}
